+ Post New Thread
Page 1 of 653 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16322

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 96,192
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 77,769
    18th Sep 2006 10:46 pm Go to last post
  1. AutoCAD Increase the space between multiple lines

    Hello Everyone I have a electrical schematic drawing..but the lines are very close to each other. I want to increase the space between the lines..(stretch or something like that)... Is any possible...

    Started by acad1985‎, 14th Jun 2018 02:54 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 331
    Today 02:54 pm Go to last post
  2. entmod block location does not move attributes

    Hello all, I am using some reactors to manipulate my drawings. Since i use reactors, i have to use ENTMOD to update drawing entites. Now i want to move a block with attributes. When i entmod...

    Started by Aftertouch‎, Today 01:37 pm
    • Replies: 3
    • Views: 48
    Today 02:37 pm Go to last post
  3. Associate objects with LISP?

    Hello all, Is it possible to make certain objects associated with each other? For example: I pick two points. A line is drawn between those points. A block is placed on the end of the line....

    Started by Aftertouch‎, Yesterday 10:35 am
    • Replies: 3
    • Views: 150
    Today 10:45 am Go to last post
  4. Modify & Improve existing routine

    Hello, I am currently using a function that dimensions a 2D line and generates text to display the relevant dimension and I am trying to figure out if I can specify a particular position for the...

    Started by Want2LispForever‎, 6th Jun 2018 08:54 am
    • Replies: 7
    • Views: 314
    Today 05:32 am Go to last post
  5. hello, any one can help me make multiple leader match same angle

    hello, any one can help me make multiple leader match same angle, because i have a lot of leader but leader angle not same , but my job need to arrange all leader make same angle, how can i do ??I...

    Started by mikewong0719‎, Today 03:34 am
    • Replies: 2
    • Views: 108
    Today 05:04 am Go to last post
  6. lisp to toggle a specific attribute visible/invisible

    Hi all, I have a lisp to switch the visibility off all the attributes off my drawing with a specific TAG (e.g. TAG1) . The lisp scan all the blocks containing this TAG. But i have to type on the...

    Started by Astro‎, 6th Aug 2009 01:16 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 13,290
    Yesterday 10:27 am Go to last post
  7. double selection of pline

    hi everyone im attaching part of code that im using (some lines wrote by lee-mac) the problem in the code is that i need to choose the same pline twice (setq ent / setq se2) i try everything with...

    Started by mousho‎, 16th Jun 2018 11:13 am
    • Replies: 5
    • Views: 176
    Yesterday 03:28 am Go to last post
  8. "IF"

    (defun c:www (/ P1 P2 Dist1 Dist2 Ang1 hole1a hole1b) (savevartoold) (setq P1 (getpoint "\n Select a Point : ")) (setq P2 (getpoint P1 "\n Select a Point : ")) (setq...

    Started by TunzaGibbo‎, 14th Jun 2018 02:33 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 474
    Yesterday 12:11 am Go to last post
  9. Select all blocks crossing by specific polylines

    Dear all, I am looking for lisp to select all blocks crossing by specific polylines. I have scheme of ventilation ducting system drawn by polylines where are inserted flow dampers. My polylines...

    Started by Jozef13‎, 17th Jun 2018 05:13 pm
    • Replies: 2
    • Views: 129
    17th Jun 2018 10:07 pm Go to last post
  10. Idea Specify the name of the sheet from the index

    I have already written a program for regular indexing with coordinates. But if the index is made of irregular rectangles :unsure: I have an irregular index. I want to send a message based on the...

    Started by ehsantavassolian‎, 5th May 2018 08:05 am
    • Replies: 6
    • Views: 394
    17th Jun 2018 09:36 am Go to last post
  11. Smile LISP Sq.Ft

    Hi All, Could anyone help me please?... I have been looking for a LISP file that calculates sq.ft. of a closed polyline and generates a sq.ft. text inside the polyline. Unit of the file that I...

    Started by hhhhhhhanna3‎, 16th Jun 2018 07:37 pm
    area, lisp, sq.ft.
    • Replies: 1
    • Views: 129
    16th Jun 2018 08:01 pm Go to last post
  12. Error. Variable setting.

    Hello. In my program, I'm trying to assign a variable to a variable through a dialog: :edit_box{label=Text Height;key=get_txtheight;edit_width=5;value=2;} Then: (setq TextHeight (atoi...

    Started by dilan‎, 15th Jun 2018 03:44 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 347
    16th Jun 2018 09:24 am Go to last post
  13. Get Excel cell data into variables

    Hello all, I found a lisp on a forum that can bring selected excel cells to Autocad. This comes in the direction of what I would like to have. But now the outcome comes with an alert box. Is it...

    Started by pmxcad‎, 4th Jun 2018 05:31 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 765
    15th Jun 2018 08:57 pm Go to last post
  14. AutoCAD Manual Entry between Lisp Routine.

    Hi Everyone. I have Lisp file to make double offset, offset distance are getting automatically as per lisp. but i want enter that distance manually and that entered value will be taken as offset...

    Started by gmmdinesh‎, 13th Jun 2018 09:14 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 323
    14th Jun 2018 02:57 pm Go to last post
  15. Obtain ObjID from a Flip Parameter inside a block

    Hello everyone, I have the next problem: I have a dynamic "door block" which contains an attribute. (see attachment) I want thru autolisp to assign the flip value to the attribute. If I...

    Started by svorgodne‎, 14th Jun 2018 11:36 am
    • Replies: 3
    • Views: 173
    14th Jun 2018 02:46 pm Go to last post
  16. Autolisp to annotate 3d point z value

    Hei, Can enyone make autolisp to annotate 3d point z value! Best, MRe

    Started by Margusrebase‎, 13th Jun 2018 01:39 pm
    annotate z value, autolisp
    • Replies: 5
    • Views: 198
    14th Jun 2018 12:47 pm Go to last post
  17. Move selected text to polyline vertexes

    Hi, is it possible to make lisp routine which will move multiple selected texts to polyline vertexes. At first vertex i want text with smallest x coordinate and so on Sorry for my english. If its...

    Started by drdownload18‎, 10th Jun 2018 10:04 pm
    • Replies: 8
    • Views: 269
    14th Jun 2018 11:14 am Go to last post
  18. Distance between lines

    Need a lisp that would calculate distance between lines in a map and place it at the center of each lines. I need to select all the lines at once instead of selecting each line one by one. ...

    Started by lucky9‎, 11th Jun 2018 12:53 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 407
    14th Jun 2018 10:36 am Go to last post
  19. round up number in autolisp

    Hello people a beginner question lets say i do some calculations i want than round up the result of calcul to the next whole number

    Started by Qonfire‎, 10th Jul 2011 05:03 am
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 18,931
    14th Jun 2018 02:49 am Go to last post
  20. Smile Hole Spacing

    Hi All I'm trying automate a process of placing holes along a rectangle. The drawing enclosed is as far as I can get with Lisp. I have established the 4 corners in my lisp file and are able to...

    Started by TunzaGibbo‎, 13th Jun 2018 02:43 pm
    • Replies: 2
    • Views: 209
    14th Jun 2018 02:15 am Go to last post
  21. scaling text and objects question

    so i have one of two things that i am thinking about here. 1. i know that AutoCAD has the scale (short key SC) command. selecting it, clicking a base point, typing the scale factor and bingo you...

    Started by dnovember99‎, 11th Jun 2018 05:01 pm
    • Replies: 8
    • Views: 320
    13th Jun 2018 01:29 pm Go to last post
  22. Need better multiline

    Hi all, I'm sure this is out there, if someone could point me in the right direction. We have acad 2002 and used to use 2000. In 2002 we have the mline command which is pretty simple. But in...

    Started by Vigilante‎, 29th Dec 2006 08:14 pm
    22 Pages
    1 2 3 ... 22
    • Replies: 212
    • Views: 162,935
    13th Jun 2018 04:16 am Go to last post
  23. Lisp for Layout to dwgs with binded xrefs

    Hello guys .... is there is any Lisp Routine for each layouts to separate dwg files ..... with bind all the xrefs thanx guyzz:roll::roll::roll:

    Started by Rashis‎, 12th Jun 2018 04:09 pm
    binded xrefs, layouts to dwg, lisp
    • Replies: 1
    • Views: 155
    12th Jun 2018 06:20 pm Go to last post
  24. Smile Dear guys please help me to get elevation in the attached lisp

    I tried many times to get elevation but i cannot make it please can anyone solve this?

    Started by samsudeenmanoos‎, 12th Jun 2018 07:44 am
    • Replies: 3
    • Views: 220
    12th Jun 2018 10:49 am Go to last post
  25. Question More efficient way to write specified code?

    (defun c:test ( / *error* pnt sel ucs ) (defun *error* ( msg ) (if ucs (apply 'command (append '("_.ucs" "3p") (mapcar '(lambda ( l ) (trans l 0 1)) ucs)))) (if (not (wcmatch...

    Started by BHAInc‎, 6th Jun 2018 12:00 am
    • Replies: 6
    • Views: 376
    12th Jun 2018 03:21 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts